/* Note that to use this global style sheet, you'll need to add a class of `.fx-relay` to the body of your page */

.fx-relay {
  /* Spacing/Layout Tokens */
  --spacingXs: 4px;
  --spacingSm: 8px;
  --spacingMd: 16px;
  --spacingLg: 24px;
  --spacingXl: 32px;
  --spacing2xl: 48px;
  --layout2xs: 16px;
  --layoutXs: 24px;
  --layoutSm: 32px;
  --layoutMd: 48px;
  --layoutLg: 64px;
  --layoutXl: 96px;
  --layout2xl: 192px;

  /* Border Radius */
  --borderRadiusXs: 2px;
  --borderRadiusSm: 4px;
  --borderRadiusMd: 8px;
  --borderRadiusLg: 16px;

  /* Width Tokens */
  --contentXs: 304px;
  --contentSm: 432px;
  --contentMd: 688px;
  --contentLg: 928px;
  --contentXl: 1152px;
  --contentMax: 1440px;
  --screenXs: 320px;
  --screenSm: 480px;
  --screenMd: 768px;
  --screenLg: 1024px;
  --screenXl: 1312px;

  /* Box Shadow Tokens */
  --boxShadowSm: 0 8px 12px 1px rgba(29, 17, 51, .04), 0 3px 16px 2px rgba(9, 32, 77, .12), 0 5px 10px -3px rgba(29, 17, 51, .12);
  --boxShadowMd: 0 16px 24px 2px rgba(29, 17, 51, .04), 0 6px 32px 4px rgba(9, 32, 77, .12), 0 8px 12px -5px rgba(29, 17, 51, .12);
  --boxShadowLg: 0 24px 38px 3px rgba(29, 17, 51, .04), 0 10px 48px 8px rgba(9, 32, 77, .12), 0 12px 16px -6px rgba(29, 17, 51, .12);

  /* Primary Nebula Colors */
  --colorInformational: #0060df;
  --colorInformationalActive: #054096;
  --colorInformationalHover: #bcd0ec;
  --colorInformationalFocus: rgba(0, 96, 223, 0.4); /*  This is the RGB value of #0060df @ 40% opacity */
  --colorInformationalDisabled: #C9D9F3;

  /* Nebula Colors: Button: Error */
  --colorError: #FF4F5E;
  --colorErrorActive: #C50042;
  --colorErrorHover: #E22850;
  --colorErrorFocus: #FFBDC5 ;

  /* Nebula Colors: Blues */
  --colorBlue90: #09204d;
  --colorBlue80: #073072;
  --colorBlue70: #054096;
  --colorBlue60: #0250bb;
  --colorBlue50: #0060df;
  --colorBlue40: #0090ed;
  --colorBlue30: #00b3f4;
  --colorBlue20: #00ddff;
  --colorBlue10: #80ebff;
  --colorBlue05: #aaf2ff;

  /* Nebula Colors: Grays */
  --colorBlack: #000000;
  --colorGrey60: #0c0c0d;
  --colorGrey50: #3d3d3d;
  --colorGrey40: #6d6d6e;
  --colorGrey30: #9e9e9e;
  --colorGrey20: #cececf;
  --colorGrey10: #e7e7e7;
  --colorGrey05: #f9f9fa;

  /* Nebula Colors: Violet */
  --colorViolet90: #2b1141;
  --colorViolet80: #4e1a69;
  --colorViolet70: #722291;
  --colorViolet60: #952bb9;
  --colorViolet50: #b833e1;
  --colorViolet40: #d74cf0;
  --colorViolet30: #f770ff;
  --colorViolet20: #f68fff;
  --colorViolet10: #f6b8ff;
  --colorViolet05: #f7e2ff;

  /* Nebula Colors: Whites */
  --colorWhite: #ffffff;

  --fontStackFirefoxBold: "Metropolis Bold", "SF Pro Text", "Segoe UI", Roboto,
    "Open Sans", sans-serif;
  --fontStackFirefoxSemibold: "Metropolis Semibold", "SF Pro Text", "Segoe UI",
    Roboto, "Open Sans", sans-serif;
  --fontStackFirefox: "Metropolis Medium", "SF Pro Text", "Segoe UI", Roboto,
    "Open Sans", sans-serif;
  --fontStackFirefoxLight: "Metropolis Light", "SF Pro Text", "Segoe UI", Roboto,
    "Open Sans", sans-serif;
  --fontStackBase: "InterUI Regular", "SF Pro Text", "Segoe UI", Roboto,
    "Open Sans", sans-serif;
}

/* Utilities */
.fx-relay-debug {
  border: 1px solid red;
}

.fx-relay-c-button {
  display: inline-block;
  padding: var(--spacingSm) var(--spacingMd);
  border-radius: var(--borderRadiusSm);
  text-align: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  font-weight: 400;
  font-family: var(--fontStackFirefoxSemibold);
  appearance: none;
  outline: none;
  border: none;
  font-size: 16px;
  cursor: pointer;
  position: relative;
  width: 100%;
}

.fx-relay-c-button.t-primary {
  background-color: var(--colorInformational);
  color: var(--colorWhite);
  font-weight: 600;
}

.fx-relay-c-button.t-primary:disabled {
  background-color: var(--colorInformationalDisabled);
  cursor: not-allowed;
}

.fx-relay-c-button.t-primary:hover {
  background-color: var(--colorInformationalHover);
}

.fx-relay-c-button.t-primary:active {
  background-color: var(--colorInformationalActive);
}

.fx-relay-c-button.t-primary:focus {
  outline: 4px solid var(--colorInformationalFocus);
}

.fx-relay-c-button.t-secondary {
  color: var(--colorInformational);
  font-family: var(--fontStackFirefox);
  font-weight: 400;
}

.fx-relay-c-button.t-secondary:hover {
  color: var(--colorInformationalHover);
}

.fx-relay-c-button.t-secondary:active {
  color: var(--colorInformationalActive);
}

.fx-relay-c-button.t-secondary:focus {
  outline: 4px solid var(--colorInformationalFocus);
}

.fx-relay-c-button.t-basic {
  color: var(--colorInformational);
  text-align: start;
  justify-content: flex-start;
  padding: 0;
  align-items: unset;
}

.fx-relay-c-button.t-basic:hover {
  color: var(--colorInformationalHover);
}

.fx-relay-c-button.t-basic:active {
  color: var(--colorInformationalActive);
}

.fx-relay-c-button.t-basic:focus {
  outline: 4px solid var(--colorInformationalFocus);
}

.fx-relay-c-button.is-loading.t-primary {
  color: var(--colorInformational);
}

.fx-relay-c-button.is-loading.t-primary:active {
  color: var(--colorInformationalActive);
}

.fx-relay-c-button.is-loading.t-primary:hover {
  color: var(--colorInformationalHover);
}

.fx-relay-c-button.t-error {
  background-color: var(--colorError);
  color: var(--colorWhite);
}

.fx-relay-c-button.t-error:active {
  background-color: var(--colorErrorActive);
}

.fx-relay-c-button.t-error:hover {
  background-color: var(--colorErrorHover);
}

.fx-relay-c-button.t-error:focus {
  outline: 4px solid var(--colorErrorFocus);
}

.fx-relay-c-button.is-loading::after {
  content: url(/icons/button-loading.svg);
  position: absolute;
  /* Z-index: This block overlays the button's content with a spinning circle. The z-index get's it over that content. */
  z-index: 1;
  display: block;
  animation-name: fx-relay-loader-spin;
  animation-duration: 2000ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
  height: 24px;
  width: 24px;
}

.fx-relay-animation-spin {
  animation-name: fx-relay-loader-spin;
  animation-duration: 2000ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

@keyframes fx-relay-loader-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* Input */
.fx-relay-c-search-input {
  display: block;
  width: 100%;
  /* Custom padding to match Nebula */
  padding: var(--spacingSm) var(--spacing2xl) var(--spacingSm) var(--spacingMd);
  border-radius: var(--borderRadiusSm);
  background-color: var(--colorWhite);
  border: 2px solid transparent;
  outline: 1px solid var(--colorGrey30);
}

.fx-relay-c-search-input:focus {
  outline: 4px solid var(--colorInformationalFocus);
  border: 2px solid var(--colorInformational);
}

.fx-relay-c-search-input:focus + .fx-relay-c-search-controls {
  opacity: 1;
}

.fx-relay-c-search-controls {
  position: absolute;
  right: var(--spacingSm);
  display: flex;
  align-items: center;
  height: 100%;
  top: 0;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.2s ease-out;
}

.fx-relay-filter-mask-count {
  display: flex;
  margin-right: var(--spacingSm);
  align-items: center;
  height: 100%;
  transition: opacity 0.2s ease-out;
  color: var(--colorGrey40);
}

